# Plasma Theme Switcher

## Description
This is a simple script that changes the Plasma theme according to a custom time or according to your locations sunrise/sunset using a systemd timer.

Default is changing theme to dark at 9:30 p.m. and back to Light at 6:30 a.m.

## Installation

### Use the installer.sh script to set up automatically
```
$ git clone https://gitlab.com/dataprolet/plasma-theme-switcher
$ cd plasma-theme-switcher
$ sh installer.sh
```

- Change the service file to specifiy which script to use.
- Change either script to a custom time or custom location.

### Install manually
1. Place timer and service file in the respective user directory ~/.config/systemd/user
2. Place the script into a directory and specify the path in the service file
3. Change time in script if necessary (default is 9:30 p.m. and 6:00 a.m.)
4. Alternatively use the themer-sun.sh script to change themes according to your locations sunrise/sunset and specify location in the script
5. Enable and start the timer:  
```
$ systemctl --user enable theme-switcher.timer  
$ systemctl --user start theme-switcher.timer
```
